CREATE TABLE fmk_d_cont_templates_tl (
    TEMPLATE_ID              NUMBER(18, 0) ,
    DISPLAY_NAME             VARCHAR2(1020)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000)    NOT NULL,
    THUMBNAIL_URL            VARCHAR2(1020)    NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    TEMPLATE_ID              NUMBER(18, 0) ,
    DISPLAY_NAME             VARCHAR2(1020)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000)    NOT NULL,
    THUMBNAIL_URL            VARCHAR2(1020)    NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fmk_d_cont_templates_tl PRIMARY KEY (TEMPLATE_ID, LANGUAGE, TEMPLATE_ID, LANGUAGE)
);
